# `BB.Error.Safety.CollisionRisk`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/safety/collision_risk.ex#L5)

Potential collision detected.

Raised when the system detects a risk of collision between robot
components, with the environment, or with people.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Safety.CollisionRisk{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  collision_type: term(),
  component_path: term(),
  details: term(),
  path: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Safety.CollisionRisk` without raising it.

## Keys

- :component_path
- :collision_type
- :details

---

*Consult [api-reference.md](api-reference.md) for complete listing*
